<?php

namespace App\Entity;

use App\Entity\Traits\TimestampsTrait;
use App\Repository\AgenceRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: AgenceRepository::class)]
class Agence
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    #[ORM\ManyToOne(inversedBy: 'agences')]
    private ?Company $company = null;

    #[ORM\ManyToOne(inversedBy: 'agences')]
    private ?CompanyVille $companyVille = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): static
    {
        $this->name = $name;

        return $this;
    }

    public function getCompany(): ?Company
    {
        return $this->company;
    }

    public function setCompany(?Company $company): static
    {
        $this->company = $company;

        return $this;
    }

    public function __toString() {
        return $this->name;
    }

    public function getCompanyVille(): ?CompanyVille
    {
        return $this->companyVille;
    }

    public function setCompanyVille(?CompanyVille $companyVille): static
    {
        $this->companyVille = $companyVille;
        return $this;
    }

}
