<?php

namespace App\Form;

use App\Entity\Employee;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CountryType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class EmployeeType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('company',null,[
                'label'=> 'Compagnie',
            ])
            ->add('lastname',null,[
                'label'=> 'Nom',
            ])
            ->add('firstname',null,[
                'label'=> 'Prénom',
            ])
            ->add('address',null,[
                'label'=> 'Adresse',
            ])
            ->add('phone',null,[
                'label'=> 'Téléphone',
            ])
            ->add('city',null,[
                'label'=> 'Ville',
            ])
            ->add('country', CountryType::class,[
                'label'=> 'Pays',
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Employee::class,
        ]);
    }
}
