<?php

namespace App\Form;

use App\Entity\Customer;
use App\Entity\User;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class UserType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('firstname', TextType::class, [
                    'label' => 'Prénom',
                    'required'=>true,
                ])
             ->add('lastname', TextType::class, [
                    'label' => 'Nom',
                    'required'=>true,
                ])
            ->add('email', EmailType::class, [
                    'label' => 'Email',
                    'disabled' => true,
                ])
            ->add('phone', TextType::class, [
                    'label' => 'Téléphone',
                    'required'=>true,
                ])
            ->add('address', TextType::class, [
                    'label' => 'Adresse',
                    'required'=>true,
                ])

            // ->add('roles', ChoiceType::class, [
            //     'label' => 'Permissions',
            //     'disabled' => true,
            //     'choices' => [
            //         'Utilisateur' => 'ROLE_USER',
            //         'Editeur' => 'ROLE_EDITOR',
            //         'Admin' => 'ROLE_ADMIN',
            //         'Super Admin' => 'ROLE_SUPER_ADMIN'
            //     ],
            //     'expanded' => true,
            //     'multiple' => true, 
            // ])
            // ->add('createdAt')
            // ->add('updatedAt')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => User::class,
        ]);
    }
}
