<?php

namespace App\Repository;

use App\Entity\Payment;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\ORM\Query\Expr\Join;
use Doctrine\Persistence\ManagerRegistry;

use function PHPUnit\Framework\equalTo;

/**
 * @extends ServiceEntityRepository<Payment>
 *
 * @method Payment|null find($id, $lockMode = null, $lockVersion = null)
 * @method Payment|null findOneBy(array $criteria, array $orderBy = null)
 * @method Payment[]    findAll()
 * @method Payment[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class PaymentRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, Payment::class);
    }

    public function save(Payment $entity, bool $flush = false): void
    {
        $this->getEntityManager()->persist($entity);

        if ($flush) {
            $this->getEntityManager()->flush();
        }
    }

    public function remove(Payment $entity, bool $flush = false): void
    {
        $this->getEntityManager()->remove($entity);

        if ($flush) {
            $this->getEntityManager()->flush();
        }
    }

    
   public function findPayment($userId): array
   {
       $value=0;
       return $this->createQueryBuilder('p')

            // ->select("alben.name","alben.alben_id") 
            // ->from("alben") 
            // ->leftJoin("video","video", "WITH", "alben.alben_id =video.album");

            ->select('b.payment_id','p.amountPaid') 
            ->leftJoin('payment.id', 'bo', 'p.payment_id = b.id' )
          // ->innerJoin('u.Phonenumbers', 'p', Expr\Join::WITH, 'p.is_primary = 1');
           ->where('b.customer > :uid')
           ->setParameter('uid', $userId)
           ->getQuery()
           ->getResult()
       ;
   }

//    /**
//     * @return Payment[] Returns an array of Payment objects
//     */
}
